diff -pruN 0.16.6-1/debian/changelog 0.16.6-1ubuntu1/debian/changelog
--- 0.16.6-1/debian/changelog	2020-10-08 13:13:17.000000000 +0000
+++ 0.16.6-1ubuntu1/debian/changelog	2021-01-12 11:33:51.000000000 +0000
@@ -1,3 +1,11 @@
+sord (0.16.6-1ubuntu1) hirsute; urgency=medium
+
+  * d/p/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
+    avoid crashes with optimized builds. Those were especially present
+    on s390x/ppc64el around gstreamer (LP: #1911142)
+
+ -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Jan 2021 12:33:51 +0100
+
 sord (0.16.6-1) unstable; urgency=medium
 
   [ Debian Janitor ]
diff -pruN 0.16.6-1/debian/control 0.16.6-1ubuntu1/debian/control
--- 0.16.6-1/debian/control	2020-10-08 13:13:17.000000000 +0000
+++ 0.16.6-1ubuntu1/debian/control	2021-01-12 11:33:51.000000000 +0000
@@ -1,7 +1,8 @@
 Source: sord
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
diff -pruN 0.16.6-1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch 0.16.6-1ubuntu1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
--- 0.16.6-1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.16.6-1ubuntu1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch	2021-01-12 11:33:51.000000000 +0000
@@ -0,0 +1,25 @@
+Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
+Original-Author: David Robillard <d@drobilla.net>
+Origin: backport, https://gitlab.com/drobilla/sord/-/commit/616517f44ceeacb26592e50e2bf914aad2d93b90
+Bug-Ubuntu: https://bugs.launchpad.net/bugs/1911142
+Last-Update: 2021-01-12
+From 616517f44ceeacb26592e50e2bf914aad2d93b90 Mon Sep 17 00:00:00 2001
+From: David Robillard <d@drobilla.net>
+Date: Fri, 17 Jul 2020 15:38:38 +0200
+Subject: [PATCH] Fix crash with optimized builds with GCC 10.1.0
+
+---
+ src/zix/btree.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+--- a/src/zix/btree.c
++++ b/src/zix/btree.c
+@@ -765,7 +765,7 @@ zix_btree_iter_copy(const ZixBTreeIter*
+ ZIX_API bool
+ zix_btree_iter_is_end(const ZixBTreeIter* const i)
+ {
+-	return !i || i->stack[0].node == NULL;
++	return !i || (i->level == 0 && i->stack[0].node == NULL);
+ }
+ 
+ ZIX_API bool
diff -pruN 0.16.6-1/debian/patches/series 0.16.6-1ubuntu1/debian/patches/series
--- 0.16.6-1/debian/patches/series	2020-10-08 10:25:17.000000000 +0000
+++ 0.16.6-1ubuntu1/debian/patches/series	2021-01-12 11:33:51.000000000 +0000
@@ -1 +1,2 @@
 1001-dont_run_ldconfig.patch
+0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
